/* Copyright (C) 2005 Hiroyuki OYAMA
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef DEFAULT_TEMPLATE_H
#define DEFAULT_TEMPLATE_H

#define DEFAULT_RESULT_TEMPLATE "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict //EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n" \
                                 "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"ja\" lang=\"ja\">\n" \
                                 "  <head>\n" \
                                 "    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=EUC-JP\" />\n" \
                                 "    <title>Rast : <$print name=keyword encode=html$></title>\n" \
                                 "  </head>\n" \
                                 "  <body>\n" \
                                 "    <div class=\"searchbox\">\n" \
                                 "      <form method=\"get\">\n" \
                                 "        <input type=\"text\" name=\"q\" value=\"<$print name=keyword encode=html$>\" />\n" \
                                 "        <input type=\"submit\" value=\"Rast \" />\n" \
                                 "      </form>\n" \
                                 "    </div>\n" \
                                 "\n" \
                                 "    <div id=\"searchresult\">\n" \
                                 "      <div class=\"searchsummary\">\n" \
                                 "        <p><$print name=keyword encode=html$> θ <em><$print name=num_item encode=html$></em> </p>" \
                                 "      </div>\n" \
                                 "      <$for name=result$>\n" \
                                 "      <div class=\"searchitem\">\n" \
                                 "        <p><a href=\"<$print name=url encode=href$>\"><$print name=title encode=html$></a></p>\n" \
                                 "        <p class=\"searchitemsummary\"><$print name=summary encode=html$></p>\n" \
                                 "        <p class=\"url\"><$print name=url encode=html$></p>\n" \
                                 "      </div>\n" \
                                 "      <$end$>\n"\
                                 "\n" \
                                 "      <div id=\"searchpages\">\n" \
                                 "        <$for name=pages$>\n" \
                                 "        <$if name=current_page$><$print name=page_num encode=html$><$else$><a href=\"?num=<$print name=num_per_page encode=uri$>&amp;q=<$print name=keyword encode=uri$>&amp;start=<$print name=offset encode=uri$>\"><$print name=page_num encode=html$></a><$end$> \n" \
                                 "        <$end$>\n" \
                                 "      </div>\n" \
                                 "    </div>\n" \
                                 "\n" \
                                 "    <div class=\"searchbox\">\n" \
                                 "      <form method=\"get\">\n" \
                                 "        <input type=\"text\" name=\"q\" value=\"<$print name=keyword encode=html$>\" />\n" \
                                 "        <input type=\"submit\" value=\"Rast \" />\n" \
                                 "      </form>\n" \
                                 "    </div>\n" \
                                 "  </body>\n" \
                                 "</html>\n"

#define DEFAULT_DEFAULT_TEMPLATE "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict //EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n" \
                                 "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"ja\" lang=\"ja\">\n" \
                                 "  <head>\n" \
                                 "    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=EUC-JP\" />\n" \
                                 "    <title>Rast</title>\n" \
                                 "  </head>\n" \
                                 "  <body>\n" \
                                 "    <form method=\"get\">\n" \
                                 "      <input type=\"hidden\" name=\"num\" value=\"50\" />\n" \
                                 "      <input type=\"text\" name=\"q\" />\n" \
                                 "      <input type=\"submit\" value=\"Rast \" />\n" \
                                 "    </form>\n" \
                                 "  </body>\n" \
                                 "</html>\n"

#endif /* !DEFAULT_TEMPLATE_H */
